﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace LightboxEffect
{
    public partial class Background : Form
    {
        public Background()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Foreground foreground = new Foreground();
            foreground.SuspendLayout();
            int BorderWidth = 0;
            //Get the border width values of the form
            if (this.VerticalScroll.Visible == true)
                BorderWidth = (this.Width - (this.ClientSize.Width +
                                         SystemInformation.VerticalScrollBarWidth)) / 2;
            else
                BorderWidth = (this.Width - this.ClientSize.Width) / 2;
            //Get the Title bar height of the form
            int TitlebarHeight = this.Height - this.ClientSize.Height - 2 * BorderWidth;
            //Setting the Current form(Background) bounds to the Foreground form bounds
            if (this.VerticalScroll.Visible == true)
                foreground.SetBounds(this.Left, this.Top + TitlebarHeight + BorderWidth, this.ClientSize.Width + SystemInformation.VerticalScrollBarWidth + BorderWidth * 2, this.ClientSize.Height + BorderWidth);
            else
                foreground.SetBounds(this.Left, this.Top + TitlebarHeight + BorderWidth, this.ClientSize.Width + BorderWidth * 2, this.ClientSize.Height + BorderWidth);
            foreground.PerformLayout();
            foreground.Owner = this;
            foreground.Show();
            // Here we can show popup window /Dialog box/another form also like Message Box shown in this code.
            MessageBox.Show(this, "This is the light box effect article", "dotenetspider", MessageBoxButtons.OK, MessageBoxIcon.Information);
            foreground.Close();//disableing the effect
        }
    }
}
